package com.bonus.canteen.user.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.user.mapper.UserFaceMapper;
import com.bonus.canteen.user.domain.UserFace;
import com.bonus.canteen.user.service.IUserFaceService;

/**
 * 人员生物识别特征Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-03
 */
@Service
public class UserFaceServiceImpl implements IUserFaceService {
    @Autowired
    private UserFaceMapper UserFaceMapper;

    /**
     * 查询人员生物识别特征
     * 
     * @param faceId 人员生物识别特征主键
     * @return 人员生物识别特征
     */
    @Override
    public UserFace selectUserFaceByFaceId(Long faceId) {
        return UserFaceMapper.selectUserFaceByFaceId(faceId);
    }

    /**
     * 查询人员生物识别特征列表
     * 
     * @param UserFace 人员生物识别特征
     * @return 人员生物识别特征
     */
    @Override
    public List<UserFace> selectUserFaceList(UserFace UserFace) {
        return UserFaceMapper.selectUserFaceList(UserFace);
    }

    /**
     * 新增人员生物识别特征
     * 
     * @param UserFace 人员生物识别特征
     * @return 结果
     */
    @Override
    public int insertUserFace(UserFace UserFace) {
        UserFace.setCreateTime(DateUtils.getNowDate());
        try {
            return UserFaceMapper.insertUserFace(UserFace);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改人员生物识别特征
     * 
     * @param UserFace 人员生物识别特征
     * @return 结果
     */
    @Override
    public int updateUserFace(UserFace UserFace) {
        UserFace.setUpdateTime(DateUtils.getNowDate());
        try {
            return UserFaceMapper.updateUserFace(UserFace);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除人员生物识别特征
     * 
     * @param faceIds 需要删除的人员生物识别特征主键
     * @return 结果
     */
    @Override
    public int deleteUserFaceByFaceIds(Long[] faceIds) {
        return UserFaceMapper.deleteUserFaceByFaceIds(faceIds);
    }

    /**
     * 删除人员生物识别特征信息
     * 
     * @param faceId 人员生物识别特征主键
     * @return 结果
     */
    @Override
    public int deleteUserFaceByFaceId(Long faceId) {
        return UserFaceMapper.deleteUserFaceByFaceId(faceId);
    }
}
